-- -------------------------------------------------------------------------- --
-- CharPrivacy by kunda                                                       --
-- -------------------------------------------------------------------------- --
--                                                                            --
-- With Mists of Pandaria it's possible to get all characters from an account --
-- via 'data-mining' the armory using the 'Community Platform API'.           --
-- This is possible by matching account-wide achievements (which can produce  --
-- a unique account-fingerprint) between different character-datasets.        --
-- Prior Mists of Pandaria this was NOT possible!                             --
--                                                                            --
-- Blizzard added an option to disable such 'data-mining'-actions, BUT this   --
-- option is DISABLED by DEFAULT.                                             --
-- You need to ENABLE "Display Only Character Achievements to Others" with    --
-- each character (Interface -> Game -> Display).                             --
--                                                                            --
-- This addon simply checks if you have enabled this option. If this option   --
-- is disabled this addon automatically enables it and shows a message in     --
-- chat.                                                                      --
--                                                                            --
-- Blizzard MUST make this option ENABLED by DEFAULT.                         --
--                                                                            --
-- -------------------------------------------------------------------------- --

local _, _, _, tocversion = GetBuildInfo() -- TODO_MoP
if tocversion < 50000 then return end

local _, CharPrivacyL = ...
if not CharPrivacyL.L then CharPrivacyL.L = {} end
local L = setmetatable(CharPrivacyL.L, {__index = function(t, k) t[k] = k return k end})
local AreAccountAchievementsHidden = AreAccountAchievementsHidden

local CharPrivacy = CreateFrame("Frame")
CharPrivacy:RegisterEvent("PLAYER_FLAGS_CHANGED")
CharPrivacy:RegisterEvent("PLAYER_LOGIN")
CharPrivacy:SetScript("OnEvent", function()
	if not AreAccountAchievementsHidden() then
		ShowAccountAchievements(true)
		print("|cffffff7fCharPrivacy: "..L["ENABLED"].."!|r")
		print("|cffffff7fCharPrivacy:|r", UIOPTIONS_MENU, "->", GAME, "->", DISPLAY)
		print("|cffffff7fCharPrivacy:|r", L["If you read this message you should LOG OUT and close WoW to make sure this setting is really saved."])
	end
end)